<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::CompositionTargetPass Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a5e1075c8f2a3c9cfaed6f65a9ea55334">_isSupported</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a612ca8c0c7b29fe33def25042b933622">CompositionTargetPass</a>(CompositionTechnique *parent)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a7eb0dfa68069759225458c041358505e">createPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab8fc3fb7227c25c749550449061759b9">getInputMode</a>() const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a77a7e3bada28e04c2498aff78886d8b8">getLodBias</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ad1ec75974ebb9d6795f876e01822f3e3">getMaterialScheme</a>(void) const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a9dc0b04a179dd54ca7d444d4bd1c2010">getNumPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab966f6bbb58d0d0a09c478fa20ded7c4">getOnlyInitial</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ac68f5ea35754442ca419ba3adc5fcde2">getOutputName</a>() const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#aa1a330d0d35f731d94fa885a04f73caf">getParent</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a16f32593b58adba4a5c2477a976df869">getPass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a81f81638ed902707871edaa54d570e3c">getPassIterator</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#aba75b186f14921fced9e4f80a2e0e186">getShadowsEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#aae200cd1a0e12a84df5355f08ee06995">getVisibilityMask</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294a97eecad4dbc7cc768152365585fa9fe6">IM_NONE</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294a412bc35d7930bd2101ea4d0a5a760611">IM_PREVIOUS</a> enum value</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> enum name</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a459ee451d7916398cca6bc300b0ac7c6">mInputMode</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a4ce2db808cd0fdfffbe1711e2160bfc5">mLodBias</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#abd072b22313d02b789cf35c82e38b811">mMaterialScheme</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a7d4c5bd17e2e323f1d0d1ef267f8fd61">mOnlyInitial</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a6ff0106b3d9aaaccf9f4a76885cdbbf2">mOutputName</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a59453821f88399703dae5e7ced4c47bd">mParent</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a2f52450762b8bebd7d1154fd4f840456">mPasses</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a7562d96ff4c451bf72ce604f11623906">mShadowsEnabled</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a191a14c4f7e8b5c55b6af2b6711d0810">mVisibilityMask</a></td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ae4c3411ea5a627769c7bf65179b6b5d6">Passes</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a1b8ac16663ae6c9fc06c80159f87d51b">PassIterator</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a0e3250aafe830419fcf6ec9c2a925e6e">removeAllPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a211bcd76961f116969bbc4b1a5d7562d">removePass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#abf1c9cf0c11f8f440bfb1103b6c1349a">setInputMode</a>(InputMode mode)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#aff86d6761429799b8bb58e44962f2a0f">setLodBias</a>(float bias)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a3f57dcb06d3d764e4fe532be89e6f350">setMaterialScheme</a>(const String &amp;schemeName)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#aa4113fff3ebd783e8ead645321cb7322">setOnlyInitial</a>(bool value)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#ac9a67dacd9d95d9f91fdb9437b07d758">setOutputName</a>(const String &amp;out)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a0a4ee56a29f0aa2ec2131ed9bdda9f4b">setShadowsEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a5f741ec104a602e81d3f9b5f01ae2d4c">setVisibilityMask</a>(uint32 mask)</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTargetPass.html#a9906c9ece49a038ff4996ff461238dd4">~CompositionTargetPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTargetPass.html">Ogre::CompositionTargetPass</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
